<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="24dp">

        <android.support.design.widget.TextInputLayout
            android:id="@+id/request_text_layout_text_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/draw_text_hint">

            <EditText
                android:id="@+id/et_req_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"/>

        </android.support.design.widget.TextInputLayout>

        <TextView
            android:id="@+id/request_text_size_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/request_text_size"
            android:layout_alignTop="@+id/request_text_size"
            android:layout_marginEnd="10dp"
            android:gravity="center_vertical"
            android:text="@string/draw_font_size"/>

        <org.odk.collect.android.views.DynamicWidthSpinner
            android:id="@+id/request_text_size"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/request_text_layout_text_container"
            android:layout_toEndOf="@id/request_text_size_label"/>

        <Switch
            android:id="@+id/request_text_bold"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/request_text_size_label"
            android:paddingBottom="10dp"
            android:paddingTop="10dp"
            android:text="@string/draw_font_bold"/>

        <Switch
            android:id="@+id/request_text_italics"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/request_text_bold"
            android:paddingBottom="10dp"
            android:paddingTop="10dp"
            android:text="@string/draw_font_italics"/>

    </RelativeLayout>

</ScrollView>